local:libdir          = $E:HOME/.config/elvish/lib
local:builtin_modules = [
  builtin
  epm
  file
  math
  path
  re
  readline-binding
  store
  str
  unix
]

edit:completion:arg-completer[use] = [@argv]{
  use str
  use path
  all $builtin_modules
  put $libdir/**.elv | each [f]{
    if (path:is-regular $f) {
      str:trim-prefix $f $libdir/
    }
  } | each [f]{ str:trim-suffix $f .elv }
}
